=== modified file 'bzrlib/progress.py'
--- bzrlib/progress.py	2008-12-17 08:18:14 +0000
+++ bzrlib/progress.py	2009-01-16 02:43:37 +0000
@@ -118,7 +118,10 @@
     def note(self, fmt_string, *args):
         """Record a note without disrupting the progress bar."""
         # XXX: shouldn't be here; put it in mutter or the ui instead
-        self.ui_factory.note(fmt_string % args)
+        if args:
+            self.ui_factory.note(fmt_string % args)
+        else:
+            self.ui_factory.note(fmt_string)
 
     def clear(self):
         # XXX: shouldn't be here; put it in mutter or the ui instead

